Page MenuHomePhabricator

Deployment of Mobile App's service on the SCB cluster
Closed, ResolvedPublic

Description

The Mobile Apps team has been working on an experimental content service (see also T87824). The development and testing phase will soon be over, so the next step would be deployment on the SCA cluster.

The idea is for RESTBase to serve a proxy/storage for it, so a public access point is not needed. We would, however, need an internal IP (so RB can connect to it). As far as configuration/puppetisation goes, the service uses service-template-node and thus shares important bits and pieces with other, already in production, services, such as RESTBase, Parsoid, Citoid. Hence, not much work is anticipated on this front.

Event Timeline

mobrovac created this task.Mar 13 2015, 3:06 PM
mobrovac raised the priority of this task from to Needs Triage.
mobrovac updated the task description. (Show Details)
mobrovac added a subscriber: mobrovac.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2015, 3:06 PM
faidon added a subscriber: faidon.Mar 13 2015, 3:27 PM

Just to be clear:

  • What's the suggested timeframe here? Is this something that's proposed for the next quarter?
  • Who is going to "own" this service? Is it the Services team or are you purely on a consulting role here? Is the communication flow going to be mobile apps->services->ops (and the other way around for e.g. incidents/outages)?

Finally, I'm sure I sound like a broken record by now, but I really don't like seeing projects on GitHub all the time, and especially on personal accounts. Please don't diverge from what the rest of the organization uses; use our standard tools for developing (Phabricator for issue tracking/project management, Gerrit for code review, Jenkins for CI, etc.).

GWicke moved this task from Backlog to In-progress on the Services board.Mar 17 2015, 7:53 PM
GWicke moved this task from In-progress to Next on the Services board.
yuvipanda triaged this task as Normal priority.Mar 18 2015, 7:53 AM
yuvipanda added a subscriber: yuvipanda.

Just to be clear:

  • What's the suggested timeframe here? Is this something that's proposed for the next quarter?

ASAP, as always :) That being said, there are still some preliminaries to be done. We will first experiment in beta with it. Also, the important thing to note here is that the service won't need to be accessible from the outside, since the plan is to use RESTBase as a storage solution for it. We plan to provide as much set-up and config (aka puppet modules/templates/config) as possible.

  • Who is going to "own" this service? Is it the Services team or are you purely on a consulting role here? Is the communication flow going to be mobile apps->services->ops (and the other way around for e.g. incidents/outages)?

The initial plan is for it to be owned jointly by the Services and MobileApps teams. Outside of regular deploys, i.e. in case of incidents/outages, the Services team will take action if needed, so the flow would be ops <-> services.

Finally, I'm sure I sound like a broken record by now, but I really don't like seeing projects on GitHub all the time, and especially on personal accounts. Please don't diverge from what the rest of the organization uses; use our standard tools for developing (Phabricator for issue tracking/project management, Gerrit for code review, Jenkins for CI, etc.).

Agreed. There are pending requests for the repos (normal+deploy) on MW. Test jobs will be set up accordingly.

bearND added a subscriber: bearND.Mar 18 2015, 6:55 PM

@faidon I've transferred the repo to the wikimedia account: https://github.com/wikimedia/service-mobileapp-node.

bearND added a comment.Apr 8 2015, 6:26 PM

@mobrovac Any updates about this? When can we expect the service to be deployed on the SCA cluster?

@mobrovac, could you add the info from the mail thread here as well?

Status update:

  • T95533 is actively being worked on, and is needed as part of the service deployment process (c/p is bad for health, really), should be done soon
  • on the development front, in order to integrate the MobileApps service with RESTBase, T95551 needs to be completed; we have started work on that front as well (side note: this is to some extent unrelated to the actual deployment of the service on SCA, but mentioning here completeness)

@akosiaris could we get some estimates and next steps once the Puppet module is done ?

Another status update: T95533 has been resolved, allowing us to move forward on this front. ETA for deployment: end of April.

Current state of affairs: we are getting ready for deployment, but we need these blocking tasks to be resolved first:

While the above are being solved out, there is some information that needs to be provided for this to be deployed in production. While the process for providing that information is still be worked on, the actual information needed is at this point available at T97031. Would you be so kind as to provide the requested info in bullet points in T97031 in this task so we can move forward ? https://git.wikimedia.org/blob/mediawiki%2Fservices%2Fmobileapps.git/0268250208127c8e1613c5f1221c0f67d47d2697/README.md is pretty good for the first bullet point by the way.

Change 207050 had a related patch set uploaded (by Mobrovac):
mobileapps service: Role and module for SCA

https://gerrit.wikimedia.org/r/207050

Change 207051 had a related patch set uploaded (by Mobrovac):
mobileapps service: LVS configuration

https://gerrit.wikimedia.org/r/207051

Change 207052 had a related patch set uploaded (by Mobrovac):
mobileapps service: Varnish / parsoidcache configuration

https://gerrit.wikimedia.org/r/207052

mobrovac moved this task from Next to Blocked on the Services board.Jun 2 2015, 12:18 PM

T96870: Add proper tests for MobileApps service routes is about to be completed, which means we are ready to move to the last requirement before deployment.

@bearND can you please do the following:

  • create a new ticket under the Service-deployment-requests project
  • in its description provide the information listed in the description in T97031
  • put the task as a blocker of this task

If you need any help or additional info, let us know.

Some small corrections to my previous post:

T96870: Add proper tests for MobileApps service routes is about to be completed, which means we are ready to move to the last requirement before deployment.

It's done now! Yupii.

@bearND can you please do the following:

Just go the Service-deployment-requests profile page and see the info there. There's even a link for creating a pre-populated task.

  • put the task as a blocker of this task

If you need any help or additional info, let us know.

bearND set Security to None.Jun 11 2015, 4:17 PM
bearND added subscribers: Dbrant, BGerstle-WMF.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 1 2015, 7:58 PM

Change 227724 had a related patch set uploaded (by Giuseppe Lavagetto):
Add mobileapps LVS IP

https://gerrit.wikimedia.org/r/227724

Change 227724 merged by Giuseppe Lavagetto:
Add mobileapps LVS IP

https://gerrit.wikimedia.org/r/227724

Change 230816 had a related patch set uploaded (by Mobrovac):
Update mobileapps to ed0ae9d

https://gerrit.wikimedia.org/r/230816

Change 230816 merged by Mobrovac:
Update mobileapps to ed0ae9d

https://gerrit.wikimedia.org/r/230816

Change 231287 had a related patch set uploaded (by Mobrovac):
Update mobileapps to 967ea11

https://gerrit.wikimedia.org/r/231287

Change 231287 merged by Mobrovac:
Update mobileapps to 967ea11

https://gerrit.wikimedia.org/r/231287

mobrovac moved this task from Blocked to In-progress on the Services board.Aug 14 2015, 12:06 AM

Change 207052 abandoned by Alexandros Kosiaris:
mobileapps service: Varnish / parsoidcache configuration

Reason:
Too old, would be a pain to rebase plus it is already being done differently

https://gerrit.wikimedia.org/r/207052

Change 207051 abandoned by Alexandros Kosiaris:
mobileapps service: LVS configuration

Reason:
Too old, would be a pain to rebase plus it is already being done in a different cluster

https://gerrit.wikimedia.org/r/207051

Change 207050 abandoned by Alexandros Kosiaris:
mobileapps service: Role and module for SCA

Reason:
Too old, would be a pain to rebase plus it is already being done in a different cluster

https://gerrit.wikimedia.org/r/207050

mobrovac raised the priority of this task from Normal to High.Aug 14 2015, 11:27 AM
mobrovac removed a project: Patch-For-Review.
mobrovac removed a subscriber: gerritbot.

The service itself is live, hooking it up in RESTBase today.

Change 232003 had a related patch set uploaded (by Mobrovac):
RESTBase: Add MobileApps endpoints and back-end config

https://gerrit.wikimedia.org/r/232003

Change 232003 merged by Giuseppe Lavagetto:
RESTBase: Add MobileApps endpoints and back-end config

https://gerrit.wikimedia.org/r/232003

The MobileApps service is now live and kicking in production! Play with it here (under the Mobile section)

mobrovac renamed this task from Deployment of Mobile App's service on the SCA cluster to Deployment of Mobile App's service on the SCB cluster.Aug 20 2015, 10:56 AM
mobrovac closed this task as Resolved.
mobrovac reassigned this task from bearND to akosiaris.